Packaging requirements for Apps in Ubuntu

Registered by Daniel Holbach on 2012-04-30

The App Review Board and its processes were put in place 1.5 years ago. It's time to review how policies and requirements have been working out for us.

Daniel H put together some discussion about a key point of these policise, the /opt requirement, at https://wiki.ubuntu.com/OptRequirement which can provide a basis for the discussion

Blueprint information

Status:
Not started
Approver:
Jono Bacon
Priority:
Undefined
Drafter:
Daniel Holbach
Direction:
Approved
Assignee:
Daniel Holbach
Definition:
New
Series goal:
Accepted for quantal
Implementation:
Unknown
Milestone target:
milestone icon ubuntu-12.10

Related branches

Sprints

Whiteboard

Agenda
 * pkgme - http://pkgme.net/doc/backends/index.html
  * up and running for commercial apps
  * current backends: binary, pdf, vala, python, cmake (incomplete), dotdeb
  * desired backends: Qt, html5, flash, Unity lens/scope
 * /opt requirement - https://wiki.ubuntu.com/OptRequirement

The outcome of this session was two-fold: first of all we will try to pave the way for pkgme to package apps in the future. Secondly we will try to get quickly with /opt better. We will also track the outcomes of this blueprint in the ARB meetings.

(?)

Work Items

Work items for quantal-alpha-2:
[dholbach] test-run of pkgme over current arb apps: DONE
[dholbach] raise awareness of ARB agenda bugs: DONE

Work items:
[mhall119] review current pkgme backend howto docs: DONE
[mhall119] write pkgme lens backend: POSTPONED
[allison] write default arb pkgme backend: POSTPONED
[pitti] find out who can help with quickly /opt ARB bugs (mterry): DONE
[allison] add tracking of blueprint outcomes to ARB agenda: POSTPONED